class NodeConfig():
    def __init__(self, node_id):
        self.node_id = node_id
        self.pgbouncer_config = None
        self.host = None
        self.port = None

    def set_pgbouncer_config(self, path):
        self.pgbouncer_config = path

    def export(self):
        return {
            "pgbouncer_config": self.pgbouncer_config,
            "host": self.host,
            "port": self.port
        }
